/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <keel/keel.hpp>

#include <turbine/turbine.hpp>

namespace turbine {

ox::Result<ox::UPtr<Context>> init(ox::StringViewCR fsPath, ox::StringViewCR appName) noexcept {
	OX_REQUIRE_M(fs, keel::loadRomFs(fsPath));
	return init(std::move(fs), appName);
}

}